Bug 130581 - I/O errors during CD playback on an IDE CD-ROM/Writer/DVD
I/O errors during CD playback on an IDE CD-ROM/Writer/DVD
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-22 05:12 EDT by Atanas Georgiev
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Atanas Georgiev 2004-08-22 05:12:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
CD playback is interrupted with errors showing in the log file when a
konqueror file management session is opened (see steps below).  The
bug is reliably reproduced upon a fresh boot and login into a KDE
session.  Further attempts to reproduce it may or may not work.  This
happens with both the 2.6.7 and 2.6.8 stock Fedora Core 2 kernels.


Version-Release number of selected component (if applicable):
kernel-2.6.7 and kernel-2.6.8

How reproducible:
Always

Steps to Reproduce:
1. Boot the machine (it only works after fresh boot) and login into a
KDE session.
2. Start playing a CD from a CD-ROM/CD-recorder/DVD-ROM (using KsCD or
gnome-cd)
3. Click on your 'Home' directory icon


Actual Results:  CD stops playing.  If you eject and then put it back
in, it starts playing again.

/var/log/messages shows:

Aug 15 17:26:51 penguin kernel: hdc: command error: status=0x51 {
DriveReady SeekComplete Error }
Aug 15 17:26:51 penguin kernel: hdc: command error: error=0x54
Aug 15 17:26:51 penguin kernel: end_request: I/O error, dev hdc,
sector 797696


Expected Results:  No interrupt in playback. No errors.

Additional info:

Motherboard is Asus A7V8X.
CPU is Athlon 2600+.
IDE controller is VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
/dev/hdc is a DVD-ROM
/dev/hdd is a DVD/CD-Writer.
Comment 1 Atanas Georgiev 2004-08-22 05:18:26 EDT
Forgot to mention that the same setup used to work fine with Redhat 9,
i.e. it is not a hardware problem.
Comment 2 Dave Jones 2005-04-16 01:53:24 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.